const int debugFunctionBufferSize= 1024;

inline void ods( const char* buffer )
{
	OutputDebugString( buffer );
	OutputDebugString( "\n" );
}


inline void ods( const char* string, const float n1 )
{
	char buffer[ debugFunctionBufferSize ];

	sprintf( buffer, "%s - %f\n", string, n1 );
	OutputDebugString( buffer );
}

inline void ods( const char* string, const int n1 )
{
	char buffer[ debugFunctionBufferSize ];

	sprintf( buffer, "%s - %d\n", string, n1 );
	OutputDebugString( buffer );
}

inline void ods( const char* string, const qbyte n1 )
{
	char buffer[ debugFunctionBufferSize ];

	sprintf( buffer, "%s - %d\n", string, n1 );
	OutputDebugString( buffer );
}

inline void ods( const char* string, const int n1, const int n2 )
{
	char buffer[ debugFunctionBufferSize ];

	sprintf( buffer, "%s - %d - %d\n", string, n1, n2 );
	OutputDebugString( buffer );
}

inline void ods( const char* string, void* n )
{
	char buffer[ debugFunctionBufferSize ];

	sprintf( buffer, "%s - %x\n", string, (qbyte)n );
	OutputDebugString( buffer );
}

#define odsm( varName ) ( ods( (#varName), (varName) ) )
#define odsp( varName ) ( ods( typeid( *varName ).name(), (varName) ) )

